<template lang="pug">
.section( :class='bindClass' )
	.container( :class='fullwidth ? "is-fullwidth" : ""' )
		slot
</template>

<script setup>
import { computed } from "vue"

const props = defineProps({
	type: {
		type: String,
		default: "",
		validator: val => [ "", "medium", "large", "small" ].includes(val)
	},
	fullwidth: Boolean
})

const bindClass = computed(() => [
	props.type ? `is-${props.type}` : ""
])
</script>

<style lang="scss" scoped>
.section.is-small {
	padding: 3rem .75rem;
}
.container.is-fullwidth {
	max-width: unset!important;
	width: 100%;
}
</style>